package com.eactive.eai.rms.bat.manage.rule.adapter;

public class AdapterConnectionInfo {

	private String hostName;
	private String adapterCode;
	private String destination;
	private String type;
	private boolean valid;
	private String message;
	
	public String getHostName() {
		return hostName;
	}

	public void setHostName(String hostName) {
		this.hostName = hostName;
	}

	public String getAdapterCode() {
		return adapterCode;
	}

	public void setAdapterCode(String adapterCode) {
		this.adapterCode = adapterCode;
	}

	public String getDestination() {
		return destination;
	}

	public void setDestination(String destination) {
		this.destination = destination;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public boolean isValid() {
		return valid;
	}

	public void setValid(boolean valid) {
		this.valid = valid;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	@Override
	public String toString() {
		return "AdapterConnectionInfo [hostName=" + hostName + ", adapterCode=" + adapterCode + ", destination="
				+ destination + ", type=" + type + ", valid=" + valid + ", message=" + message + "]";
	}

}